Bug 13156 - Display cardnumber of borrower who made a suggestion in suggestion.pl
Summary: Display cardnumber of borrower who made a suggestion in suggestion.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Frédéric Demians
QA Contact: Testopia
URL: /cgi-bin/koha/suggestion/suggestion.pl
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-28 20:24 UTC by Marjorie Barry-Vila
Modified: 2015-12-03 22:11 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13156 Display borrower's cardnumber who did a suggestion in suggestion.pl (3.40 KB, patch)
2014-11-02 17:47 UTC, Frédéric Demians
Details | Diff | Splinter Review
[Signed-off] Bug 13156 Display borrower's cardnumber who did a suggestion in suggestion.pl (4.07 KB, patch)
2015-04-13 18:20 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13156 Display borrower's cardnumber who did a suggestion in suggestion.pl (4.00 KB, patch)
2015-04-17 11:42 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marjorie Barry-Vila 2014-10-28 20:24:17 UTC
Hi,

To avoid homonyms, it would be nice if the card number is displayed in the user suggestion.pl.
Currently, consult the record of the user to know exactly who made the suggestion.
In Quebec, there are many homonyms!

Regards,

Marjorie
Comment 1 Frédéric Demians 2014-11-02 17:47:03 UTC Comment hidden (obsolete)
Comment 2 Paola Rossi 2014-11-11 13:49:05 UTC
I've tried to apply the patch against master 3.17.00.052 HEAD 13113

Applying: Bug 13156 Display borrower's cardnumber who did a suggestion in suggestion.pl
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/suggestion/suggestion.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/suggestion/suggestion.tt
Auto-merging C4/Suggestions.pm
Failed to merge in the changes.
Patch failed at 0001 Bug 13156 Display borrower's cardnumber who did a suggestion in suggestion.pl

So I pass the patch to "Patch doesn't apply" status.

NB. On master, in the template, from patron's "Surname, firstname" there is a "mailto" link in the template. 
The test plan requires "consulting the record of the user, to know exactly who made the suggestion". 
Please, does the test plan require the barcode to be a link or not? In case, which link? Thanks.
Comment 3 Marc Véron 2015-04-13 18:20:56 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2015-04-17 11:42:41 UTC
Created attachment 38041 [details] [review]
[PASSED QA] Bug 13156 Display borrower's cardnumber who did a suggestion in suggestion.pl

To avoid homonyms, it would be nice if the card number is displayed in the user
suggestion.pl. Currently, consult the record of the user to know exactly who
made the suggestion.

TEST PLAN: Apply the patch. Go on suggestion.pl. Check that nothing has
changed, except that cardnumbers are displayed in 'Suggested by' column.

Resolved an easy conflict while applying. Followed test plan. Works as expected.
Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2015-04-22 16:31:02 UTC
Patch pushed to master.

Thanks Frederic!